.page-header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 9999;
}

.page-header-bg-col{
    background-color: white;
}

.dark .page-header-bg-col{
    background-color: black;
}

.header-wrapper{
    display: flex;
    justify-content: space-between;
    padding: var(--var-10) var(--var-30);
}

.dark .header-wrapper h1{
    color: white;
}

.navigation-section{
    margin: auto 0;
    display: flex;
    gap: var(--var-20);
}

.navlist{
    display: flex;
    list-style-type: none;
    gap: var(--var-30);
}

.nav-items{
    text-transform: capitalize;

}

.nav-items a{
    color: black;
}

.dark .nav-items a{
    color: white;
}

.close-btn{
    position: absolute;
    top: var(--var-25);
    right: var(--var-30);
    display: none;
}

.bgr{
    margin: auto 0;
    display: none;
    flex-direction: column;
    gap: var(--var-10);
}

.line{
    width: var(--var-30);
    height: 2px;
    background-color: black;
    border-radius: var(--var-10);
}

.dark .line {
    background-color: white;
}

.mode-change{
    cursor: pointer;
}

.dark .mode-change{
    color: white;
}

.dark .close-btn{
    color: white;
}

@media screen and (max-width: 1024px) {
    .bgr{
        display: flex;
    }

    .close-btn{
        display: block;
    }

    .navigation-section{
        position: fixed;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        padding: var(--var-15);
        width: 100vw;
        height: 100vh;
        display: none;
        flex-direction: column;
        background-color: rgb(201, 201, 201);
    }
    
    .dark .navigation-section{
        background-color: rgb(37, 37, 37);
    }

    .navlist{
        flex-direction: column;
        width: 100%;
        height: fit-content;
        padding: var(--var-20);
        border-radius: var(--var-10);
    }

    .nav-items{
        text-align: center;
    }

    .mode-change{
        text-align: center;
    }

}